
%define lib_major	1
%define lib_name	%mklibname xfce4mcs %{lib_major}

# soname breaks, don't run libtoolize
%define __libtoolize	/bin/true

Summary: 	Multi-channel settings management support for XFce.
Name: 		libxfce4mcs
Version: 	4.0.3
Release: 	1mdk
License:	LGPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Development/Other
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	libxfce4util-devel >= %{version}
BuildRequires:	XFree86-devel

%description
Multi-channel settings management support for XFce.


%package -n %{lib_name}
Summary:	Multi-channel settings management support for XFce.
Group:		Development/Other

%description -n %{lib_name}
Multi-channel settings management support for XFce.

%package -n %{lib_name}-devel
Summary:	Libraries and header files for the libxfce4mcs library.
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Provides:	libxfce4mcs-devel

%description -n %{lib_name}-devel
Libraries and header files for the libxfce4mcs library.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING TODO
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/libxfce4mcs


%changelog
* Fri Jan 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.1mdk
- 2.1.7
- use configure2_5 and makeinstall_std

* Sat Nov 15 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- buildrequires

* Fri Nov 14 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1

* Mon Nov 10 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

